---
title: '`glab cluster agent`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Manage GitLab Agents for Kubernetes.

## Synopsis

Register new agents, configure existing ones, manage their tokens and kubeconfig
entries, and check configuration files for deprecated settings.

## Options

```plaintext
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`bootstrap`](bootstrap.md)
- [`check-manifest-usage`](check-manifest-usage.md)
- [`get-token`](get-token.md)
- [`list`](list.md)
- [`token`](token/_index.md)
- [`token-cache`](token-cache/_index.md)
- [`update-kubeconfig`](update-kubeconfig.md)
